Bug 246253 - multimedia/vlc: Remove redundant dependencies
Summary: multimedia/vlc: Remove redundant dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-06 10:09 UTC by daniel.engberg.lists
Modified: 2020-05-09 08:09 UTC (History)
4 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for VLC (12.72 KB, patch)
2020-05-06 10:09 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-05-06 10:09:56 UTC
Created attachment 214194 [details]
Patch for VLC

Adjust default options so we don't pull in external libraries when ffmpeg/(lib)avcodec can be used instead.

Deselects following options:
A52, DCA, FAAD, FLAC, MAD and MPEG2
Comment 1 VVD 2020-05-08 21:43:14 UTC
Can vlc support "A52, DCA, FAAD, FLAC, MAD and MPEG2" via ffmpeg?
Comment 2 VVD 2020-05-08 21:49:27 UTC
Patch just turn off by default several options.
Comment 3 daniel.engberg.lists 2020-05-09 06:32:24 UTC
Yes, otherwise I wouldn't use redundant.
Comment 4 Tobias C. Berner freebsd_committer 2020-05-09 08:09:40 UTC
Committed. Thank you.
Comment 5 commit-hook freebsd_committer 2020-05-09 08:09:43 UTC
A commit references this bug:

Author: tcberner
Date: Sat May  9 08:09:27 UTC 2020
New revision: 534719
URL: https://svnweb.freebsd.org/changeset/ports/534719

Log:
  multimedia/vlc: Remove redundant dependencies

  Adjust default options so we don't pull in external libraries when
  ffmpeg/(lib)avcodec can be used instead.

  Deselects following options:
  	A52, DCA, FAAD, FLAC, MAD and MPEG2

  There is no loss in functionality for the user.

  PR:		246253
  Submitted by:	Daniel Engberg <daniel.engberg.lists@pyret.net>

Changes:
  head/multimedia/vlc/Makefile